Subject: bug#62334: bug#63024: Crash during `guix import pypi -r'

From: Ludovic Courtès <[email-masked]>
Date: Thu, 04 May 2023 13:13:11 +0200

Ludovic Courtès <[email-masked]> skribis:

> First, the person who wrote ‘connect*’ *cough* hadn’t carefully read the
> Guile manual, which reads (info "(guile) Ports and File Descriptors"):
>
>   Note that ‘select’ may return early for other reasons, for example due
>   to pending interrupts.
>
> Clearly, ‘select’ is returning early, so we should check that and loop.

Pushed a fix for that in fc6c96c88a0e4ad0b9e48272e5f97ffaa6eec36e.

Ludo’.